httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Brian Behlendorf <br...@organic.com>
Subject Re: Apache 0.8.8 can't run a Irix 5.2?
Date Wed, 09 Aug 1995 17:24:57 GMT
On Wed, 9 Aug 1995, Peter Hjelt wrote:
> I tried out the Apache 0.8.8 beta version of httpd (way cool), and couldn't get
> it running on Irix 5.2 (Indy workstation). It runs just fine on Ultrix/Linux,
> but the Irix version refuses to run.
> 
> Ii compiles alright, and leaves a valid ELF 32-bit MSB dynamic executable (not
> stripped) MIPS - version 1 executable. When the executable is run, it exits
> WITHOUT any error/debug messages or logged information on any problems. Why?

I think I found the problem (this is being forwarded to the development group
as well), at least as far as I can see it under 5.3.  The default "Group"
directive in httpd.conf points to "#-1" - using that I saw exactly your
behavior on 5.3 (exiting without warning message - with the -X it core
dumped).  When I changed it to "32766" (the GID for "nogroup") it returned
"httpd: bad group name 32766", and when I set it to "nogroup", it
successfully fired up.  So, try changing your "Group" to "nogroup", or 
whatever is equivalent for your server, and we'll have this fixed in the 
next release, meanwhile I'll note this in the compat_notes.  Thanks!

> The only problem I've had so far is the exec cmd="" stuff, can't get ANY exec
> ssi working. Going to test this some more, though..

Make sure you have either XBITHACK compiled, or are setting the right 
document type in srm.conf, whichever way you're doing SSI's.

	Brian
	

--=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=--
brian@organic.com  brian@hyperreal.com  http://www.[hyperreal,organic].com/



Mime
View raw message